
* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

a, img {
    -webkit-touch-callout: none;
}

a {
    outline-style: none;
    text-decoration: none;
    color: inherit;
}

input, textarea {
    border: none;
    outline: none;
    -webkit-appearance: none;
}

.noScroll {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

html, body {
    width: 100%;
    /*height: 100%;*/
    min-height: 100%;
    font-size: 14px;
    font-family: Helvetica, Tahoma, Arial, Optima-Regular, PingFangTC-light, "PingFang SC", "Hiragino Sans GB", "Heiti SC", "Microsoft YaHei", "WenQuanYi Micro Hei", sans-serif;
}

body {
    background: #f8f8f8;
}

[v-cloak] {
    display: none
}

.flex-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* 隐藏滚动条 */
::-webkit-scrollbar {
    display: none;
    width: 0;
    height: 0;
    background-color: #f5f5f5;
}

.text-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    letter-spacing: normal;
}

#app {
    width: 100%;
    min-height: 100%;
    padding: 0px 0px 100px;
    font-size: 14px;
    color: #000;
    background: #f8f8f8;
}

.swiper-container {
    width: 100%;
}

.swiper-wrapper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    width: 100%;
    height: 100%;
}

.header-wrap {
    position: relative;
    width: 100%;
    /*height: calc(68vw - 60px);*/
    /*max-height: 60vw;*/
    overflow: hidden;
    background: #fff;
}

.header-wrap .swiper-slide {
    overflow: hidden;
    /*border-radius: 10px;*/
}

.header-wrap img {
    width: 100%;
    /*height: calc(68vw - 20px);*/
    object-fit: cover;
}

.header-wrap .swiper-pagination {
    bottom: 0px !important;
}

.swiper-pagination-bullet {
    background: rgb(30, 57, 93);
}

.main-img-wrap {
    position: relative;
    width: 100%;
    max-height: 60vw;
    overflow: hidden;
}

.main-img-wrap img {
    width: 100%;
    /*height: calc(68vw - 20px);*/
    object-fit: cover;
}

.type-wrap {
    position: relative;
    width: 100%;
    padding: 10px;
    overflow: hidden;
    background: #fff;
}

.type-wrap .type-list {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    width: 100%;
    line-height: normal;
}

.type-wrap .type-item {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 20%;
    /*height: 60px;*/
    height: auto;
    padding: 8px 0 4px;
    /*margin: 0 calc((100% - 300px) / 8);*/
    text-align: center;
}

.type-wrap .type-item:nth-child(5n + 1) {
    /*去除第1n个的margin-left */
    margin-left: 0;
}

.type-wrap .type-item:nth-child(5n) {
    /*去除第1n个的margin-right */
    margin-right: 0;
}


.type-wrap .type-item .type-iconfont {
    width: 40px;
    font-size: 26px;
    text-align: center;
    color: #8c3800;
    border-radius: 50%;
}

.type-wrap .type-item .type-name {
    white-space: nowrap;
    font-size: 12px;
}

/*子按钮*/
.sub-type-wrap {
    position: sticky;
    top: -1px;
    z-index: 99;
    width: 100%;
    margin: 0px auto -10px;
    padding: 10px 15px;
    overflow: hidden;
    background: inherit;
    border-top: 1px solid #d7d7d7;
}

.sub-type-wrap .sub-type-list::-webkit-scrollbar {
    width: 0 !important;
    height: 0 !important;
}

.sub-type-wrap .sub-type-list {
    display: flex;
    align-items: start;
    justify-content: flex-start;
    width: 100%;
    overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
}

.sub-type-wrap .sub-type-item + .sub-type-item {
    margin-left: 12px;
}

.sub-type-wrap .selected-sub-type-item {
    font-weight: bold;
    /*color: #fff !important;*/
    /*background: #a12636;*/
}

.sub-type-wrap .sub-type-item {
    flex-shrink: 0;
    width: auto;
    padding: 2px 5px;
    font-size: 12px;
    color: #000;
    border-radius: 5px;
    /*border: 1px solid #a12636;*/
    background: #fff;
}

.sub-selected-h-line {
    display: none;
    position: absolute;
    left: 0;
    bottom: 3px;
    width: 100%;
    height: 4px;
    border-radius: 2px;
    background: #a12636;
}

.sort-wrap {
    position: sticky;
    top: 49px;
    z-index: 99;
    width: 100%;
    margin: 0px auto -10px;
    padding: 10px 15px;
    text-align-last: right;
    overflow: hidden;
    background: inherit;
    border-top: 0px solid #fff;
}

.sort-wrap .sort-list {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.sort-wrap select, .sort-wrap select {
    max-width: 90px;
}

.sort-wrap select, .sort-wrap select option {
    outline: none;
    border: none;
    background: inherit;
    color: #777;
    font-size: 12px;
}

.sort-wrap .sort-item {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    width: auto;
    padding: 2px 5px;
    font-size: 14px;
    color: #777;
    border-radius: 5px;
    /*border: 1px solid #a12636;*/
    /*background: #fff;*/
}

.sort-wrap .selected-sort-item {
    color: #000;
    font-weight: bold;
}

.sort-wrap .sort-item .arrow {
    width: auto;
    height: 14px;
    margin-left: 2px;
}

.search-type-wrap {
    position: sticky;
    top: -1px;
    z-index: 99;
    padding: 5px 10px;
    z-index: 99;
    overflow: hidden;
    background: inherit;
}

.search-type-wrap .type-list {
    justify-content: center;
}

.search-type-wrap .type-item + .type-item {
    margin-left: 20px;
}

.search-type-wrap .type-item {
    flex-shrink: 0;
    width: auto;
    height: auto;
    padding: 8px 0 4px;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
}

.search-type-wrap .selected-type-item {
    color: #8c3800;
    border-bottom: 2px solid #8c3800;
}

.search-type-wrap .type-item .type-name {
    font-size: 14px;
}

.ad-wrap {
    width: 100%;
    margin: 10px auto 5px;
    overflow: hidden;
}

.ad-wrap img {
    width: 100%;
    border-radius: 5px;
}

/*大图商品*/
.comm-list {
    width: 100%;
}

.comm-list .comm-item {
    position: relative;
    width: 100%;
    margin: 0 0 15px;
    border-radius: 5px;
    overflow: hidden;
}

.comm-item .title {
    position: absolute;
    right: 0px;
    top: 0px; /*4px*/
    padding: 0px 10px;
    font-size: 12px;
    color: rgb(255, 255, 255);
    border-bottom-left-radius: 5px;
    /*border-top-left-radius: 5px;*/
    background: rgb(140, 56, 0);
}

.comm-list .comm-item .comm-img {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.comm-list .comm-item .comm-img img {
    width: 100%;
    max-height: calc((100vw - 30px) / 5 * 3);
    height: 100%;
    object-fit: cover;
}

.comm-list .comm-item .comm-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 100px;
    background: #fff;
}

.comm-list .comm-info .text {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: 260px;
    height: 100%;
    padding: 10px;
}

.comm-list .comm-info .comm-name {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    padding-right: 10px;
    max-height: 32px;
    line-height: 16px;
    font-size: 14px;
    font-weight: bold;
    color: #000;

}

.comm-salesVolume {
    padding: 3px 5px;
    font-size: 10px;
    border-radius: 3px;
    color: #d95d64;
    background: #fef6f6;
}

.comm-list .comm-info .comm-price {
    flex-shrink: 0;
    display: flex;
    align-items: baseline;
    font-size: 10px;
}

.comm-count {
    padding-left: 3px;
    font-size: 10px;
}

.comm-list .shopping-cart {
    flex: 1;
    text-align: right;
}

.comm-list .shopping-cart img {
    width: 20px;
    height: 20px;
    vertical-align: text-bottom;
}

.number-style {
    font-weight: bold;
    color: #a12636;
}

.comm-list .comm-info .comm-activity-list {
}

.comm-list .comm-info .comm-activity {
    padding: 3px 5px;
    font-size: 10px;
    border-radius: 3px;
}

.comm-list .comm-info .ABC {
    color: #30ad99;
    background: #f4fbfa;
}

.comm-list .comm-info .ICBC {
    color: #d95d64;
    background: #fef6f6;
}

.comm-list .comm-info .comm-remark {
    width: 100%;
    height: 14px;
    margin-top: 5px;
    line-height: 14px;
    font-size: 12px;
    color: #8a8a8a;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.comm-list .comm-info .btn {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    width: auto;
    height: 100%;
    font-size: 16px;
    color: #000;
    background: linear-gradient(-45deg, #ddcb9c, #fee8af);
}

/* 位置商品*/
.comm-wrap {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    min-height: 100vh;
    padding: 15px;
}

.comm-wrap .left-list, .comm-wrap .right-list {
    width: calc(50% - 7.5px);
}

.comm-wrap .comm-list .comm-item {
    width: 100%;
    margin-bottom: 10px;
    border-radius: 10px;
    overflow: hidden;
    background: #fff;
}

.comm-wrap .comm-item .comm-title {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    padding: 0 10px;
    line-height: 18px;
    font-size: 13px;
    text-align: left;
    color: #333333;
}

.comm-wrap .comm-item .comm-img {
    width: 100%;
    height: auto;
}

.comm-wrap .comm-item .comm-sale-info {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    width: 100%;
    line-height: 20px;
    padding: 10px 10px 0px;
    font-size: 10px;
    color: #7a7a7a;
}

.comm-wrap .comm-item .comm-price {
    color: #a12636;
    font-size: 18px;
    font-weight: bold;
}


.marked-price {
    text-decoration: line-through;
    font-size: 30px;
}

.comm-activity-list {
    display: flex;
    flex-wrap: wrap;
    padding: 0 5px 5px;
}

.activity-item {
    padding: 1px 3px;
    margin-top: 3px;
    margin-right: 5px;
    font-size: 10px;
    color: #a12636;
    border-radius: 3px;
}

.comm-wrap .comm-location {
    padding: 0 5px;
    line-height: 14px;
    font-size: 10px;
    color: #7a7a7a;
}

.cny {
    color: rgb(161, 38, 54);
    letter-spacing: -2px;
}

.marked-price {
    font-size: 15px;
    text-decoration: line-through;
}

/*商圈*/
.business-district-wrap {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    min-height: 70vh;
    margin: 15px auto;
    padding: 0 15px;
}

.business-district-list {
    flex-shrink: 0;
    width: calc(50% - 7.5px);
}

.business-district-item {
    width: 100%;
    margin-bottom: 10px;
    overflow: hidden;
    border-radius: 5px;
    background: #fff;
}

.business-district-item .hostel-img {
    width: 100%;
    border-top-right-radius: 6px;
    border-top-left-radius: 6px;
}

.business-district-item .hostel-name {
    width: 100%;
    padding: 0 5px;
    line-height: 18px;
    color: #000;
    font-size: 14px;
    font-weight: bold;
}

.business-district-item .hostel-address {
    display: flex;
    align-items: flex-start;
    justify-content: start;
    width: 100%;
    padding: 5px 5px 0;
    line-height: 13px;
    font-size: 10px;
    color: #5d5d5d;
    /*margin-bottom: 5px;*/
    letter-spacing: -0.5px
}

.business-district-item .hostel-address .left-text {
    flex: 1;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    width: calc(100% - 50px);
    margin-right: 5px;
}

.business-district-item .hostel-address .right-text {
    flex-shrink: 0;
    font-size: 9px;
}

.business-district-item .pay-num {
    width: 100%;
    padding: 5px 5px 0;
    line-height: 13px;
    font-size: 11px;
    color: #5d5d5d;
    margin-bottom: 5px;
}

.hostel-activity-list {
    display: flex;
    flex-wrap: wrap;
    padding: 0 5px 5px;
}

.hostel-activity + .hostel-activity {

}

.hostel-activity-list .hostel-activity {
    padding: 1px 2px;
    margin-top: 3px;
    margin-right: 5px;
    font-size: 9px;
    border-radius: 3px;
}

.ABC {
    color: #0a7d6b;
    background: #f4fbfa;
}

.ICBC {
    color: #8c3800;
    background: #fbf5f2;
}

.CAR {
    color: #8c3800;
    background: #fbf5f2;
}

.MENU {
    color: #8c3800;
    background: #fbf5f2;
}

.INTRODUCE {
    color: #8c3800;
    background: #fff4f0;
}

.JingCheng {
    color: #e07200;
    background: #fff3e6;
}

/*横版商家样式*/
.hostel-wrap {
    width: var(--wrap-width);
    padding: 10px;
    margin: 10px auto;
    border-radius: 10px;
    background: #fff;
}

.hostel-wrap .hostel-item + .hostel-item {
    margin-top: 20px;
}

.hostel-wrap .hostel-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    /*height: 80px;*/
}

.hostel-item .hostel-img {
    flex-shrink: 0;
    width: 130px;
    height: 100px;
    margin-right: 10px;
    border-radius: 5px;
    overflow: hidden;
}

.hostel-item .hostel-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hostel-item .hostel-text {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    color: #666;
    font-size: 11px;
    line-height: 14px;
}

.hostel-item .hostel-text .name {
    width: 100%;
    line-height: 20px;
    font-size: 14px;
    font-weight: bold;
    color: #111;
}

.hostel-item .hostel-text .distance {
}

.hostel-item .hostel-text .address {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    width: 100%;
    margin: 2px auto;
}


.hostel-item .hostel-text .buy-number {
    font-size: 11px;
    line-height: 16px;
}

.hostel-item .hostel-introduce {
    display: flex;
    width: 100%;
    margin-top: 8px;
}

.hostel-item .hostel-introduce .comment-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    /*width: 100%;*/
    padding: 3px 5px;
    /*margin-left: 5px;*/
    color: #fff;
    font-size: 11px;
    line-height: 14px;
    border-radius: 5px;
    background: #a12636;
}

.hostel-item .new-comment {
    display: flex;
    align-items: center;
    width: 100%;
    margin-top: 5px;
}


.hostel-item .new-comment .comment-user-img {
    flex-shrink: 0;
    width: 24px;
    height: 24px;
}

.hostel-item .new-comment .comment-user-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

.hostel-item .new-comment .comment-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    width: 100%;
    /*margin-left: 5px;*/
    color: #666;
    font-size: 11px;
    line-height: 14px;

}


/*民宿预定*/
.room-wrap {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    min-height: 70vh;
    padding: 15px;
}

.room-wrap .room-list {
    width: calc(50% - 7.5px);
}

.room-wrap .room-list .room-item {
    width: 100%;
    margin: 0 0 15px;
    border-radius: 5px;
    overflow: hidden;
}

.room-wrap .room-list .room-item .room-img {
    width: 100%;
}

.room-wrap .room-list .room-item .room-img img {
    width: 100%;
}

.room-wrap .room-list .room-item .room-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    background: #fff;
}

.room-wrap .room-list .room-info .text {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 0px 10px 10px;
}

.room-wrap .room-list .room-info .room-name {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    padding-right: 10px;
    max-height: 40px;
    line-height: 16px;
    font-size: 14px;
    font-weight: bold;
    color: #000;

}

.room-wrap .room-list .room-info .room-price {
    flex-shrink: 0;
    margin-top: 5px;
    font-size: 10px;
    line-height: 12px;
}

.room-wrap .room-list .room-activity-list {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

.room-wrap .room-list .room-activity {
    padding: 1px 2px;
    margin-top: 3px;
    margin-right: 5px;
    font-size: 9px;
    border-radius: 3px;
}

.room-wrap .room-list .ABC {
    color: #30ad99;
    background: #f4fbfa;
}

.room-wrap .room-list .ICBC {
    color: #d95d64;
    background: #fef6f6;
}

.room-wrap .room-list .room-info .room-address {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    width: 100%;
    margin-top: 5px;
    line-height: 14px;
    font-size: 11px;
    color: #8a8a8a;
}

.room-wrap .room-list .room-info .btn {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: auto;
    height: 100%;
    font-size: 15px;
    color: #fff;
    background: #8c3800;
}

.JingCheng {
    color: #e07200;
    background: #fff3e6;
}

.room-hostel-wrap {
    width: var(--wrap-width);
    /*padding: 10px;*/
    margin: 10px auto;
    border-radius: 10px;
}

.room-hostel-wrap .room-list {
    width: calc(100% - 0px);
    margin: 15px auto 0;
    /*padding: 0 10px;*/
}

.room-hostel-wrap .room-list .room-item {
    width: 100%;
    margin: 0 0 15px;
    border-radius: 10px;
    overflow: hidden;
}

.room-hostel-wrap .room-list .room-item .room-img {
    width: 100%;
    height: 180px;

    overflow: hidden;
}

.room-hostel-wrap .room-list .room-item .room-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.room-hostel-wrap .room-list .room-item .room-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 90px;
    background: #fff;
}

.room-hostel-wrap .room-list .room-info .text {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    /*align-items: center;*/
    width: calc(100% - 90px);
    height: 100%;
    padding: 10px;
}

.room-hostel-wrap .room-list .room-info .room-name {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    padding-right: 10px;
    max-height: 40px;
    line-height: 20px;
    font-size: 16px;
    font-weight: bold;
    color: #000;

}

.room-hostel-wrap .room-list .room-info .room-price {
    flex-shrink: 0;
    font-size: 12px;
    color: #000;
}

.room-hostel-wrap .room-list .room-info .room-activity-list {
}

.room-hostel-wrap .room-list .room-info .room-activity {
    padding: 3px 5px;
    font-size: 10px;
    border-radius: 3px;
}

.room-hostel-wrap .room-list .room-info .ABC {
    color: #30ad99;
    background: #f4fbfa;
}

.room-hostel-wrap .room-list .room-info .ICBC {
    color: #d95d64;
    background: #fef6f6;
}

.room-hostel-wrap .room-list .room-info .room-address {
    width: 100%;
    height: 14px;
    margin-top: 5px;
    line-height: 14px;
    font-size: 12px;
    color: #8a8a8a;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.room-hostel-wrap .room-list .room-info .btn {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90px;
    height: 100%;
    padding: 0 10px;
    font-size: 16px;
    color: #000;
    background: linear-gradient(-45deg, #ddcb9c, #fee8af);
}

.introduce-wrap {
    width: 100%;
    min-height: 70vh;
    padding: 10px 15px;
}

.introduce-wrap .introduce-list {
    width: calc(100% - 0px);
    margin: 15px auto 0;
    /*padding: 0 10px;*/
}

.introduce-wrap .introduce-list .introduce-item {
    width: 100%;
    margin: 0 0 15px;
    border-radius: 5px;
    overflow: hidden;
}

.introduce-wrap .introduce-list .introduce-item .introduce-img {
    width: 100%;
    height: 180px;
    overflow: hidden;
}

.introduce-wrap .introduce-list .introduce-item .introduce-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.introduce-wrap .introduce-list .introduce-item .introduce-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 90px;
    background: #fff;
}

.introduce-wrap .introduce-list .introduce-info .text {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: calc(100% - 90px);
    height: 100%;
    padding: 10px;
}

.introduce-wrap .introduce-list .introduce-info .introduce-title {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    padding-right: 10px;
    max-height: 40px;
    line-height: 20px;
    font-size: 16px;
    font-weight: bold;
    color: #000;

}

.introduce-wrap .introduce-list .introduce-info .introduce-price {
    flex-shrink: 0;
    font-size: 10px;
    color: #000;
}

.introduce-wrap .introduce-list .introduce-info .introduce-activity-list {
}

.introduce-wrap .introduce-list .introduce-info .introduce-activity {
    padding: 3px 5px;
    font-size: 10px;
    border-radius: 3px;
}

.introduce-wrap .introduce-list .introduce-info .ABC {
    color: #30ad99;
    background: #f4fbfa;
}

.introduce-wrap .introduce-list .introduce-info .ICBC {
    color: #d95d64;
    background: #fef6f6;
}

.introduce-wrap .introduce-list .introduce-info .introduce-address {
    width: 100%;
    height: 14px;
    margin-top: 5px;
    line-height: 14px;
    font-size: 12px;
    color: #8a8a8a;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.introduce-wrap .introduce-list .introduce-info .btn {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90px;
    height: 100%;
    padding: 0 10px;
    font-size: 16px;
    color: #000;
    background: linear-gradient(-45deg, #ddcb9c, #fee8af);
}

.loading-tip {
    width: 100%;
    height: 16px;
    line-height: 16px;
    font-size: 12px;
    text-align: center;
    margin-top: 15px;
    color: #909090;
}

.custom-footer-wrap {
    margin-top: 15px;
}

.custom-footer-item {
    width: 100%;
    font-size: 12px;
    text-align: center;
    color: #333;
}

.back-top-btn {
    position: fixed;
    right: -100px;
    bottom: 50px;
    z-index: 997;
    height: 40px;
    width: 40px;
    line-height: 40px;
    padding: 6px 5px;
    text-align: center;
    font-size: 13px;
    color: #111;
    border-radius: 50%;
    filter: invert(1);
    border: 1px solid #2b2b2b;
    background: #7b7b7b;
}

.pop-up-btn {
    position: fixed;
    right: 0px;
    top: 100px;
    z-index: 997;
    width: 26px;
    padding: 8px 8px;
    line-height: 15px;
    font-size: 13px;
    color: #111;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    background: #eeeeee;
}

.mask {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 998;
    width: 100%;
    height: 100%;
    background: #f5f5f5;
}

.pop-up-wrap {
    position: fixed;
    top: 15vh;
    left: 20px;
    z-index: 999;
    overflow: hidden;
    width: calc(100% - 40px);
    padding: 15px 15px 50px;
    height: 70vh;
    margin: auto;
    border-radius: 10px;
    background: #fff;
}

.pop-up-wrap .pop-up-hd {
    padding-bottom: 7.5px;
    line-height: 32px;
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    color: #111;
}

.pop-up-wrap .pop-up-bd {
    position: relative;
    width: 100%;
    height: calc(100% - 40px);
    font-size: 14px;
    overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
}

.pop-up-wrap .pop-up-ft {
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 10px;
    width: 100%;
    height: 50px;
    background: inherit;
}

.pop-up-wrap .pop-up-ft .btn {
    width: 100px;
    height: 100%;
    line-height: 30px;
    margin: auto;
    text-align: center;
    color: #fff;
    border-radius: 15px;
    background: #b4b4b4;
}

.qd-prompt {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
    font-size: 9px;
    color: #888;
}

.search-header-wrap {
    position: sticky;
    top: -1px;
    left: 0;
    z-index: 99;
    display: flex;
    align-items: center;
    width: 100%;
    height: 50px;
    padding: 10px;
    background: inherit;
}

.search-header-wrap .search-content {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 100%;
    border-radius: 15px;
    background: #ececec;
}

.search-header-wrap .search-content .search-img {
    width: 16px;
    height: 16px;
    margin-top: -2px;
    margin-left: 10px;
    margin-right: 5px;
}

.search-header-wrap .search-content .search-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.search-header-wrap .search-content .search-text {
    font-size: 13px;
    color: #777;
}

.search-header-wrap .cancel-img {
    flex-shrink: 0;
    width: 25px;
    height: 25px;
    margin-left: 10px;
    object-fit: cover;
}

.search-wrap {
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 999;
    width: 100%;
    height: 100%;
    overflow: scroll;
    background: #fff;
}

.search-wrap .search-box {
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 15px 15px 0px;
    background: #fff;
}

.search-wrap .input-content {
    position: relative;
    width: 100%;
    height: 30px;
    border: 1px solid #ccc;
    border-radius: 15px;
}

.search-wrap .search-box .btn {
    flex-shrink: 0;
    padding-left: 15px;
    font-size: 13px;
}

.search-wrap input {
    width: 100%;
    height: 28px;
    margin: 0;
    padding: 0 30px;
    border-radius: 15px;
    outline: none;
    border: none;
    font-size: 13px;
    transition: 0.3s;
    background: #fff;
}

.search-wrap .search-img {
    position: absolute;
    top: 7.5px;
    left: 8px;
    width: 15px;
    height: 15px;
    object-fit: cover;
}

.search-wrap .del-img {
    position: absolute;
    top: 4px;
    right: 8px;
    width: 20px;
    height: 20px;
    object-fit: cover;
}

.search-wrap .search-word-content {
    padding: 0 15px;
    margin-bottom: 10px;
}

.search-wrap .search-word-content .search-title {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    font-weight: bold;
    color: #272727;
}

.search-wrap .search-word-content .search-list {
    display: flex;
    flex-wrap: wrap;
    margin-top: 10px;
    overflow: hidden;
}

.search-history-list {
    max-height: 76px;
    overflow: hidden;
}

.search-wrap .search-word-content .search-item {
    padding: 6px 25px;
    margin-bottom: 10px;
    margin-right: 10px;
    font-size: 12px;
    color: #616163;
    border-radius: 14px;
    background: #f5f6f8;
}

.search-wrap .search-word-content .hot-search-list .search-item {
    color: #d23b09;
    background: #fff3f5;
}

.share-btn {
    position: fixed;
    bottom: 15%;
    right: 5px;
    z-index: 99;
    width: 44px;
    height: 44px;
    padding: 9px 0;
    line-height: 13px;
    font-size: 11px;
    text-align: center;
    color: #fff;
    /*border: 1px solid #eee;*/
    border-radius: 50%;
    background: #a12636;
}

.share-btn2 {
    position: fixed;
    bottom: 15%;
    right: 5px;
    z-index: 99;
    width: 36px;
    height: 36px;
    padding: 6px 0;
    line-height: 12px;
    font-size: 11px;
    text-align: center;
    color: #fff;
    border-radius: 50%;
    background: #a12636;
}


.share-tip-wrap {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999;
    width: 100%;
    height: 100%;
    background: rgba(0 0 0 / .8);
}

.share-tip-wrap .arrow {
    position: absolute;
    right: 20px;
    width: 50px;
    height: 80px;
}

.share-tip-wrap > div {
    text-align: center;
    color: #fff;
    font-size: 16px;
    font-weight: bold;
}

.follow-tip-wrap {
    width: 100%;
    /*padding: 15px;*/
    margin-top: 70px;
    border-radius: 10px;
}

.follow-tip-wrap .title {
    padding: 5px;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

.follow-tip-wrap img {
    display: block;
    width: 150px;
    margin: 10px auto;
}

.follow-tip-wrap .tip {
    padding: 5px;
    font-size: 10px;
    text-align: center;
    color: #888;
}

.ad-btn {
    width: calc(100% - 30px);
    padding: 10px 20px;
    margin: 10px auto 5px;
    text-align: center;
    border-radius: 5px;
    color: #fff;
    background: #a12636;
}

body {
    margin-bottom: 85px;
}

#beg-footer {
    /*display: none;*/
    display: flex;
    position: fixed;
    right: 0;
    padding: 2px 0;
    bottom: 0;
    height: 68px;
    width: 100%;
    background-color: #fff;
    text-align: center;
    line-height: 14px;
    justify-content: space-around;
    z-index: 99;
}

#beg-footer a {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #666;
    font-size: 10px;
    text-decoration: none;
    font-wight: bold;
}

#beg-footer img {
    width: 30px;
    height: 30px;
    object-fit: cover;
}

#beg-footer i {
    line-height: 30px;
}

#beg-footer a div {
    font-size: 11px;
    font-wight: bold;
}

#Rbuoy {
    display: none;
    opacity: 0;
}

.tap-animate {
    -webkit-animation: tap-a ease 1s forwards infinite;
    animation: tap-a ease 1s forwards infinite;
}

.tap-animate2 {
    -webkit-animation: tap-b ease 1.5s forwards infinite;
    animation: tap-b ease 1.5s forwards infinite;
}

@keyframes tap-a {
    0% {
        font-size: 13px;
    }
    50% {
        font-size: 11px;
    }
    100% {
        font-size: 13px;
    }
}

@keyframes tap-b {
    0% {
        font-size: 14px;
    }
    50% {
        font-size: 12px;
    }
    100% {
        font-size: 14px;
    }
}

:root {
    --wrap-width: calc(100% - 20px);
    --wrap-margin: 10px auto;
    --wrap-padding: 10px;
    --wrap-radius: 10px;
    --wrap-bg: #fff;
}

.custom-ad-wrap {
    width: var(--wrap-width);
    margin: var(--wrap-margin);
    padding: var(--wrap-padding);
    border-radius: var(--wrap-radius);
    background: var(--wrap-bg);
}

.custom-ad-wrap .ad-title {
    width: 100%;
    font-size: 16px;
    font-weight: bold;
    color: #111;
}

.custom-ad-wrap .custom-ad-content {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    width: 100%;
}

.custom-ad-wrap .custom-ad-content .ad-item {
    flex-shrink: 0;
    width: calc((100vw - 20px - 20px - 15px) / 4); /*屏幕 -body -  wrap - 间距*/
    height: calc(((100vw - 20px - 20px - 15px) / 4) / 353 * 399); /* 现长=现宽/原宽*原长  / */
}

.custom-ad-wrap .custom-ad-content img {
    width: 100%;;
    height: auto;
    object-fit: cover;
}

/*左一 右二*/
.custom-ad-wrap2 {
    width: 100%;
    padding: 0 10px;
}

.custom-ad-wrap2 .ad-title {
    width: 100%;
}

.custom-ad-wrap2 .custom-ad-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    width: 100%;
}

.custom-ad-wrap2 .custom-ad-content .left-ad-content {
    flex-shrink: 0;
    width: calc((100vw - 20px - 5px) * (588 / (588 + 915))); /* 可用宽度 * 宽度比例 */
    height: calc(((100vw - 20px - 5px) * (588 / (588 + 915))) / 588 * 674); /* 现长=现宽/原宽*原长 */
    margin-right: 5px;
}

.custom-ad-wrap2 .custom-ad-content .left-ad-content .ad-item {
    width: 100%;
    height: 100%;
}

.custom-ad-wrap2 .custom-ad-content .right-ad-content {
    flex-shrink: 0;
    width: calc((100vw - 20px - 5px) * (915 / (588 + 915))); /* 可用宽度 * 宽度比例 */
    height: calc(((100vw - 20px - 5px) * (588 / (588 + 915))) / 588 * 674); /* 现长=现宽/原宽*原长 */
    margin-right: 5px;
}

.custom-ad-wrap2 .custom-ad-content .right-ad-content .ad-item:first-child {
    margin-bottom: 5px;
}

.custom-ad-wrap2 .custom-ad-content .right-ad-content .ad-item {
    width: 100%;
    height: calc(50% - 2.5px); /* 现长=现宽/原宽*原长 */
}

.custom-ad-wrap2 .ad-item img {
    width: 100%;
    height: 100%;
}

.custom-ad-wrap3 {
    position: relative;
    width: 100%;
    padding: 0px 10px;
    margin-top: 10px;
}


.custom-ad-wrap3 .custom-ad-content {
    display: flex;
    justify-content: space-between;
}

.custom-ad-wrap3 .ad-item + .ad-item {
    margin-left: 10px;
}

.custom-ad-wrap3 .custom-ad-content .ad-item {
    flex: 1;
}

.custom-ad-wrap3 .custom-ad-content img {
    width: 100%;
    height: auto;
    margin-bottom: -5px;
}

.weui-mask, .weui-mask_transparent {
    background: #0008;
}

.skeleton-hostel-item .hostel-img {
    background: #f5f5f5;
}

.skeleton-hostel-item .hostel-text .name {
    height: 20px;
    background: #f5f5f5;
}

.skeleton-hostel-item .hostel-text .address {
    width: 70%;
    height: 12px;
    margin-top: 5px;
    margin-right: 30%;
    margin-bottom: 0;
    background: #f5f5f5;
}

.skeleton-hostel-item .hostel-text .name {
    height: 14px;
    width: 85%;
    margin-right: 15%;
    margin-top: 5px;
    background: #f5f5f5;
}

.pop-up-wrap {

}

.pop-up-wrap input {
    border: none;
    outline: none;
    -webkit-appearance: none
}

.pop-up-wrap .content-wrap {
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 999;
    transform: translate(-50%, -50%);
    width: calc(100% - 30px);
    padding: 5px 15px 15px;
    border: 1px solid #ffffff;
    border-radius: 15px;
    background: #fff
}

.content-hd {
    padding: 15px 0 25px;
    font-weight: 700;
    font-size: 17px;
    line-height: 1.4;
    text-align: center
}

.content-bd {
    min-height: 40px;
    font-size: 17px;
    line-height: 1.4;
    word-wrap: break-word;
    word-break: break-all;
    color: rgba(0, 0, 0, .5)
}

.content-bd .input-title {
    flex-shrink: 0;
}

.content-bd .content-input {
    width: 250px;
    margin: 10px auto
}

.content-bd .content-input input {
    font-size: 17px;
    line-height: 1.4;
    border-bottom: 1px solid #111;
    width: 180px
}

.content-bd .content-input select {
    width: 180px;
    padding: 5px;
    font-size: 12px;
    background: #fff;
    border: 1px solid #111;
    border-radius: 5px;
    outline: none;
}

.content-bd .validate-code {
    display: flex;
    align-items: center;
    margin: 30px auto 20px
}

.content-bd .validate-code input {
    width: 60px
}

.content-bd .validate-code .validate-code-btn {
    width: 100px;
    margin-left: 20px;
    line-height: 28px;
    font-size: 14px;
    color: #fff;
    text-align: center;
    border-radius: 14px;
    background: #ffc67c;
}

.content-ft {
    position: relative;
    font-size: 17px;
    display: flex;
    align-items: center;
    justify-content: space-around
}

.content-ft .content-btn {
    width: 100px;
    margin: 15px auto 0;
    line-height: 32px;
    font-size: 16px;
    color: #fff;
    text-align: center;
    border-radius: 16px;
    background: #ffc67c;
}

.content-ft .cancel-btn {
    background: #b7b7b7
}

.content-wrap .input-style {
    font-size: 17px;
    line-height: 1.4;
    border-bottom: 1px solid #7498d4;
    width: 180px;
}

.content-wrap .content-bd .content-input {
    display: flex;
    margin: 20px auto;
}

.tap-color {
    color: #3e64b9;
}

.content-input {
    display: block;
}

.close-rule {
    display: flex;
}

.content-ft .content-btn {
    margin: 15px 0 0;
}

.pop-up-wrap .mask {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 998;
    width: 100%;
    height: 100%;
    background: #0007;
}

.cloud-tip {
    position: fixed;
    bottom: 100px;
    width: 100%;
    font-size: 12px;
    text-align: center;
    color: #ccc;
}

.bcm-action-sheet .weui-actionsheet__title {
    color: #a12636;
}

.bcm-action-sheet .bcm-stock {
    font-size: 13px;
    color: #999;
}